---
# Setup/install tasks.
- name: Include Debian specific OS variables
  include_vars: "Debian.yml"
  when: ansible_os_family == 'Debian'

- include_tasks: setup-Debian.yml
  when: ansible_os_family == 'Debian'

# Fedora Tasks
- include_tasks: setup-Fedora.yml
  when: ansible_distribution == 'Fedora'

- include_tasks: setup-OpenSUSE.yml
  when: ansible_distribution == 'openSUSE'

- include_tasks: setup-Archlinux.yml
  when: ansible_distribution == 'Archlinux'

- include_tasks: setup-MacOS.yml
  when: ansible_os_family == 'Darwin'

- include_tasks: configure.yml
